/*********************************************************** SMALL SCREEN */
	#index-top-logo {
		font-size: 80px;
		line-height: 75px;
	}

	.index-text-container {
		width: calc(100% - 11px);
	}
	
	#index-contact-image-container {
		display: none;
	}
	
	#index-menu-container {
		top: calc(100% - 36px - 40px);
		right: 5px;
		
		display: none;
	}
	#index-mobile-menu-container {
		display: block;
	}
	
	.index-works-box {
		width: calc(((100% - (10px * 0)) / 1) - 1px);
	}
	.index-works-image {
		height: calc( (((100vw - (10px * 0)) / 1) - 1px) / 3 );
	}
	
	.index-works-canvas {
		display: none;
	}
	.index-works-image-mobile {
		display: block;
	}
	
	#InfoInstruContainer {
		display: none;
	}
	
	.index-footer-box {
		width: calc(100% - 1px);
	}
	
	.index-demo-box {
		width: calc(((100% - (10px * 1)) / 2) - 1px);
	}
	
	#index-banner-left {
		width: calc(((100% - (10px * 0)) / 1) - 1px);
		height: calc( (((100vw - (10px * 0)) / 1) - 1px) / 3 );
	}

	#index-banner-right {
		width: calc(((100% - (10px * 0)) / 1) - 1px);
		height: 100px;
		padding-bottom: 10px;
	}
	
	.index-banner-image-mobile {
		display: block;
	}

/*********************************************************** MEDIUM SCREEN */
@media screen and (min-width: 800px) {
	#index-top-logo {
		font-size: 110px;
		line-height: 100px;
	}
	
	.index-text-container {
		width: 50%;
	}
	
	#index-contact-image-container {
		bottom: 80px;
		right: 100px;
		width: 380px;
		height: calc(380px * (952/800));
		
		display: block;
	}
	
	#index-menu-container {
		top: 5px;
		right: 5px;
		
		display: flex;
	}
	#index-mobile-menu-container {
		display: none;
	}
	
	.index-works-box {
		width: calc(((100% - (10px * 1)) / 2) - 1px);
	}
	.index-works-image {
		height: calc( (((100vw - (10px * 1)) / 2) - 1px) / 3 );
	}
	
	.index-works-canvas {
		display: block;
	}
	.index-works-image-mobile {
		display: none;
	}
	
	#InfoInstruContainer {
		display: block;
	}
	
	.index-footer-box {
		width: calc(100% - 1px);
	}
	
	.index-demo-box {
		width: calc(((100% - (10px * 1)) / 2) - 1px);
	}
	
	#index-banner-left {
		width: calc(((100% - (10px * 0)) / 1) - 1px);
		height: calc( (((100vw - (10px * 1)) / 2) - 1px) / 3 );
	}

	#index-banner-right {
		width: calc(((100% - (10px * 0)) / 1) - 1px);
		height: 100px;
		padding-bottom: 10px;
	}
	
	.index-banner-image-mobile {
		display: none;
	}
}

/*********************************************************** LARGE SCREEN */
@media screen and (min-width: 1160px) {
	#index-top-logo {
		font-size: 110px;
		line-height: 100px;
	}
	
	.index-text-container {
		width: 50%;
	}
	
	#index-contact-image-container {
		bottom: 80px;
		right: 200px;
		width: 450px;
		height: calc(450px * (952/800));
		
		display: block;
	}
	
	#index-menu-container {
		top: 5px;
		right: 5px;
		
		display: flex;
	}
	#index-mobile-menu-container {
		display: none;
	}
	
	.index-works-box {
		width: calc(((100% - (10px * 2)) / 3) - 1px);
	}
	.index-works-image {
		height: calc( (((100vw - (10px * 2)) / 3) - 1px) / 3 );
	}
	
	.index-works-canvas {
		display: block;
	}
	.index-works-image-mobile {
		display: none;
	}
	
	#InfoInstruContainer {
		display: block;
	}
	
	.index-footer-box {
		width: calc(((100% - 40px) / 2) - 1px);
	}
	
	.index-demo-box {
		width: calc(((100% - (10px * 3)) / 4) - 1px);
	}
	
	#index-banner-left {
		width: calc((((100% - (10px * 2)) / 3) - 1px) * 2 + 10px);
		height: calc( (((100vw - (10px * 2)) / 3) - 1px) / 3 );
	}

	#index-banner-right {
		width: calc(((100% - (10px * 2)) / 3) - 1px);
		height: calc( (((100vw - (10px * 2)) / 3) - 1px) / 3 );
		padding-bottom: 0px;
	}
	
	.index-banner-image-mobile {
		display: none;
	}
}


/*********************************************************** OTHERS */
#index-bg {
	position: fixed;
	width: 100%;
	height: 100%;
	background: rgba(255, 255, 255, 0);
	pointer-events: none;
}

.index-content-wrapper {
	position: relative;
	width: 100%;
	height: auto;
	min-height: 100vh;
}

#index-top-logo {
	font-family: "Roboto", sans-serif;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	text-align: left;
	text-decoration: none;
	
	position: relative;
	width: auto;
	display: inline-block;
	padding: 0px;
	margin: 10px 0px 5px 5px;
}

.index-subtitle-container {
	position: relative;
	width: auto;
	display: inline-block;
	padding: 0px;
	margin: 5px 0px 30px 5px;
	
	font-family: "Roboto", sans-serif;
	font-size: 60px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 85px;
	text-align: left;
	text-decoration: none;
}

.index-text-container {
	position: relative;
	margin: 0px 5px 22px 5px;
	padding: 0px;
	
	font-family: "Roboto", sans-serif;
	font-size: 24px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 32px;
	text-align: left;
	text-decoration: none;
}

.index-content-bottom-spacing {
	position: relative;
	width: 100%;
	height: 180px;
}

/*********************************************************** WORKS */
.index-works-container {
	position: relative;
	width: calc(100% - 11px);
	height: auto;
	
	padding: 0px;
	margin: 30px 5px 10px 5px;
	
	display: flex;
	flex-wrap: wrap;
	gap: 20px 10px;
	justify-content: flex-start;
	align-content: flex-start;
	align-items: flex-start;
}

.index-works-box {
	position: relative;
	height: auto;
	
	margin: 0px;
	display: inline-block;
}
.index-works-image {
	position: relative;
	width: 100%;
	
	display: block;
	margin: 0px;
}
.index-works-canvas {
	width: 100%;
	height: 100%;
}
.index-works-image-mobile {
	width: 100%;
	height: 100%;
	
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
}
.index-works-text {
	position: relative;
	width: 100%;
	
	display: block;
	margin: 8px 0px;
	
	font-family: "Roboto", sans-serif;
	font-size: 21px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 27px;
	text-align: left;
	text-decoration: none;
}

.index-url-text {
	position: relative;
	width: auto;
	
	display: inline-block;
	margin: 0px 5px 0px 5px;
	
	font-family: "Roboto", sans-serif;
	font-size: 24px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 32px;
	text-align: left;
	text-decoration: none;
}
.index-url-text a {
	color: rgb(0, 0, 0);
	text-decoration: none;
}
.index-url-text a:hover {
	color: rgb(0, 0, 0);
	text-decoration: none;
}

/*********************************************************** EMAIL */
#index-email {
	position: relative;
	width: auto;
	
	display: inline-block;
	padding: 0px;
	margin: 0px 5px 0px 5px;
	
	font-family: "Roboto", sans-serif;
	font-size: 24px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 32px;
	text-align: left;
	text-decoration: none;
}

/*********************************************************** OFFICE IMAGE */
.index-office-container {
	position: relative;
	width: calc(100% - 11px);
	height: auto;
	
	padding: 0px;
	margin: 80px 5px 10px 5px;
	
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
	justify-content: flex-start;
	align-content: flex-start;
	align-items: flex-start;
}

/*********************************************************** COPYRIGHT */
#index-copyright {
	position: fixed;
	bottom: 5px;
	right: 5px;
	width: auto;
	display: inline-block;
	
	font-family: "Roboto", sans-serif;
	font-size: 12px;
	font-style: normal;
	font-weight: 300;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 15px;
	text-align: right;
	text-decoration: none;
}

/*********************************************************** MAIL POST IMAGE */
.index-image {
	width: 100%;
}

#index-contact-image-container {
	position: absolute;
}

/*********************************************************** TOP MENU */
#index-menu-container {
	position: fixed;
	width: auto;
	height: 36px;
	
	justify-content: flex-end;
	align-items: flex-start;
	align-content: flex-start;
}

.index-menu-box {
	position: relative;
	width: auto;
	height: 36px;
	
	display: inline-block;
	margin: 0px 0px 0px 8px;
	
	font-family: "Roboto", sans-serif;
	font-size: 24px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 36px;
	text-align: left;
	text-decoration: none;
	
	cursor: pointer;
}
.index-menu-box:hover .index-underline {
  width: 0%;
}

.index-underline {
	position: absolute;
	bottom: 0px;
	right: 0px;
	width: 100%;
	height: 1px;
	background: rgb(0, 0, 0);
	
	transition: width 0.15s ease;
}

/*********************************************************** DRAG */
#InfoInstruContainer {
	position: absolute;
	bottom: 20px;
	left: calc((100% - 24px) / 2);
	width: 24px;
	height: 30px;
	
	pointer-events: none;
}

#InfoInstruBg {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 24px;
	height: 30px;
	
	background: rgba(255, 255, 255, 0.0);
}

#InfoInstruDrag {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 24px;
	height: 1px;
	animation: dragHint 3.5s infinite;
	
	border-radius: 0%;
	background: rgba(0, 0, 0, 0.6);
	
	/*
	border-radius: 50%;
	border: 1px solid #000;
	background: transparent;
	box-sizing: border-box;
	*/
}
@keyframes dragHint {
	0% {
		transform: translateY(0);
	}
	60% {
		transform: translateY(29px); /* slow right */
	}
	75% {
		transform: translateY(0); /* fast return */
	}
	100% {
		transform: translateY(0);
	}
}

/*********************************************************** FOOTER */
#index-footer-wrapper {
	position: relative;
	width: 100%;
	height: auto;
	
	padding: 100px 0px 200px 0px;
	margin: 0px;
	
	background: rgba(255, 255, 255, 0.65);
}

#index-footer-info-container {
	position: relative;
	width: calc(100% - 11px);
	
	padding: 0px;
	margin: 0px 5px;
	
	display: flex;
	flex-wrap: wrap;
	gap: 0px 40px;
	justify-content: flex-start;
	align-content: flex-start;
	align-items: flex-start;
	/*align-items: flex-end;*/
}

.index-footer-box {
	position: relative;
	
	display: inline-block;
	margin: 0px;
}

.index-footer-box-inner {
	position: relative;
	width: 100%;
	
	padding: 0px;
	margin: 0px 0px 22px 0px;
	
	display: flex;
	flex-wrap: wrap;
	gap: 0px 10px;
	justify-content: flex-start;
	align-content: flex-start;
	align-items: flex-start;
}

.index-footer-info-left {
	position: relative;
	/*width: 100%;*/
	width: 160px;
	
	display: inline-block;
}

.index-footer-info-right {
	position: relative;
	/*width: 100%;*/
	width: calc(100% - 160px - 10px - 1px);
	
	display: inline-block;
}

.index-info-text-title {
	position: relative;
	margin: 0px;
	padding: 0px;
	
	font-family: "Roboto", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 26px;
	text-align: left;
	text-decoration: none;
}

.index-info-text {
	position: relative;
	margin: 0px 0px 18px 0px;
	padding: 0px;
	
	font-family: "Roboto", sans-serif;
	font-size: 24px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 32px;
	text-align: left;
	text-decoration: none;
}
.index-info-text a {
	color: rgb(0, 0, 0);
	text-decoration: none;
}
.index-info-text a:hover {
	color: rgb(0, 0, 0);
	text-decoration: none;
}

/*********************************************************** TOP BOTTOM */
#index-footer-top-button {
	position: absolute;
	bottom: 30px;
	right: 5px;
	width: 24px;
	height: 40px;
	
	border-radius: 12px;
	background: rgba(255, 255, 255, 0.65);
	
	display: none;
}

/*********************************************************** DEMO */
.index-demo-box {
	position: relative;
	height: auto;
	min-height: 130px;
	margin: 0px;
	display: inline-block;
}

.index-demo-text {
	position: relative;
	width: calc(100% - 75px - 10px - 1px);
	
	display: block;
	margin: 8px 10px 8px 75px;
	
	font-family: "Roboto", sans-serif;
	font-size: 21px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 27px;
	text-align: left;
	text-decoration: none;
}

.index-demo-sub-text {
	position: relative;
	width: calc(100% - 75px - 10px - 1px);
	
	display: block;
	margin: 0px 10px 8px 75px;
	
	font-family: "Roboto", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 20px;
	text-align: left;
	text-decoration: none;
}

.index-demo-icon {
	position: absolute;
	top: 10px;
	left: 0px;
	width: 60px;
	height: 60px;
	
	display: block;
	margin: 0px;
	
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
}

/*********************************************************** MOBILE MENU */
#index-mobile-menu-container {
	position: fixed;
	top: -50px;
	left: 100%;
	width: calc(100%);
	height: calc(100vh + 100px);
	
	background: rgba(255, 255, 255, 1);
	
	margin: 0px;
	
	transition: left 0.25s ease;
}

#index-mobile-menu-container.active {
	left: calc(100% - 200px);
}

#index-mobile-menu-inner {
	position: relative;
	width: 100%;
	height: 100%;
	
	background: rgba(255, 255, 255, 1);
	
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
	justify-content: flex-start;
	align-content: center;
	align-items: flex-start;
}

.index-mobile-menu-box {
	position: relative;
	width: calc(100% - 50px - 30px);
	height: 36px;
	margin: 0px auto 0px 20px;
	
	display: inline-block;
}

.index-mobile-menu-text {
	position: relative;
	width: auto;
	height: 36px;
	
	display: inline-block;
	margin: 0px;
	
	font-family: "Roboto", sans-serif;
	font-size: 24px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 36px;
	text-align: left;
	text-decoration: none;
	
	cursor: pointer;
}

#index-mobile-menu-button {
	position: absolute;
	top: calc((100% - 40px) / 2);
	left: -20px;
	width: 20px;
	height: 40px;
	
	background: rgba(255, 255, 255, 1);
	
	display: block;
	margin: 0px;
}

#index-mobile-menu-dot {
	position: absolute;
	top: calc((100% - 1px) / 2);
	left: 0px;
	width: 20px;
	height: 1px;
	
	background: rgba(0, 0, 0, 0.6);
	
	display: block;
	margin: 0px;
	
	transition: transform 0.25s ease;
}
#index-mobile-menu-dot.active {
    transform: rotate(90deg);
}


/*********************************************************** BANNER */
#index-banner-container {
	position: absolute;
	bottom: 80px;
	left: 5px;
	width: calc(100% - 11px);
	height: auto;
	
	display: flex;
	flex-wrap: wrap;
	gap: 0px 10px;
	justify-content: flex-start;
	align-content: flex-start;
	align-items: flex-start;
}

#index-banner-left {
	position: relative;
	
	margin-left: 0px;
	
	overflow: hidden;
}

#index-banner-right {
	position: relative;
	
	margin-right: 0px;
	background: rgba(255, 255, 255, 1);
	
	overflow: hidden;
}

.index-banner-inner {
	position: absolute;
	left: 0px;
	width: 100%;
	height: 100%;
	
	transition: top 0.8s ease-in-out;
}

.index-banner-image-mobile {
	position: relative;
	width: 100%;
	height: 100%;
	
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
}

.index-banner-date {
	position: absolute;
	top: 5px;
	right: 5px;
	width: calc(100% - 10px);
	
	font-family: "Roboto", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 20px;
	text-align: right;
	text-decoration: none;
}

.index-banner-title {
	position: relative;
	width: calc(70% - 10px);
	
	font-family: "Roboto", sans-serif;
	font-size: 24px;
	font-style: normal;
	font-weight: 100;
	color: rgb(0, 0, 0);
	letter-spacing: 0px;
	line-height: 32px;
	text-align: left;
	text-decoration: none;
	
	margin-top: 5px;
	margin-left: 5px;
}



